%global gem_name regin
%global rubyabi 1.9.1

Summary: Ruby Regexp Introspection
Name: rubygem-%{gem_name}
Version: 0.3.8
Release: 4%{?dist}
Group: Development/Languages
License: MIT
URL: http://github.com/josh/%{gem_name}
Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
# git clone https://github.com/josh/regin.git && cd regin && git checkout v0.3.8
# tar czvf regin-tests.tgz spec/
# TODO: Tests should be versioned.
Source1: %{gem_name}-tests.tgz
Requires: ruby(abi) = %{rubyabi}
Requires: ruby(rubygems)
Requires: ruby
BuildRequires: rubygems-devel
BuildRequires: ruby
# Use rspec-core until rspec are not migrated to RSpec 2.x
BuildRequires: rubygem(rspec-core)
BuildArch: noarch
Provides: rubygem(%{gem_name}) = %{version}

%description
Regin allows you to introspect on Ruby Regexps. Powered by an over the top
regexp syntax parser written in racc/rexical.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires:%{name} = %{version}-%{release}

%description doc
Documentation for %{name}

%prep

%build

%install
mkdir -p %{buildroot}%{gem_dir}
gem install --local --install-dir %{buildroot}%{gem_dir} \
            --force --rdoc %{SOURCE0}

%clean

%check
mkdir %{_tmppath}/%{gem_name}-%{version}
tar xzvf %{SOURCE1} -C %{_tmppath}/%{gem_name}-%{version}

pushd %{_tmppath}/%{gem_name}-%{version}
RUBYOPT="-I%{buildroot}%{gem_libdir}" rspec spec/
popd

rm -rf %{_tmppath}/%{gem_name}-%{version}

%files
%defattr(-, root, root, -)
%dir %{gem_instdir}
%{gem_libdir}
%doc %{gem_instdir}/LICENSE
%doc %{gem_instdir}/README.rdoc
%{gem_cache}
%{gem_spec}

%files doc
%defattr(-, root, root, -)
%doc %{gem_docdir}


%changelog
* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jan 24 2012 Vít Ondruch <vondruch@redhat.com> - 0.3.8-3
- Rebuilt for Ruby 1.9.3.

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Apr 06 2011 Vít Ondruch <vondruch@redhat.com> - 0.3.8-1
- Updated to Regin 0.3.8

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jan 24 2011 Vít Ondruch <vondruch@redhat.com> - 0.3.7-2
- Removed obsolete cleanup from install and clean sections

* Wed Jan 19 2011 Vít Ondruch <vondruch@redhat.com> - 0.3.7-1
- Initial package
